Skip to main content
`Ctrl`+`K`

# PetscRegressorFit

Fit, or train, a regressor from a training dataset

## Synopsis

    PetscErrorCode PetscRegressorFit(PetscRegressor regressor, Mat X, Vec y)

Collective

## Input Parameters

- regressor - the `PetscRegressor` context

- X - matrix of training data (of dimension [number of samples] x [number of features])

- y - vector of target values from the training dataset

## See Also

`PetscRegressorCreate()`, `PetscRegressorSetUp()`, `PetscRegressorDestroy()`, `PetscRegressorPredict()`

## Level

beginner

## Location

src/ml/regressor/interface/regressor.c

## Implementations

PetscRegressorFit_Linear() in src/ml/regressor/impls/linear/linear.c

Index of all PetscRegressor routines
Table of Contents for all manual pages
Index of all manual pages